Coinsilium Group Ltd

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/coinsilium-group-ltd/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/coinsilium-group-ltd/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1752796800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.aquis.eu/stock-exchange/announcements/5280201",
    "holding_balance": 112.0009,
    "holding_net_change": 10.25,
    "transaction_value_usd": 1235389.8,
    "average_entry_value_usd": 120525.83,
    "transaction_value_calculated": false
  },
  {
    "date": 1753660800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.londonstockexchange.com/news-article/market-news/coinsilium-group-limited-forza-bitcoin-treasury-update/17153766",
    "holding_balance": 124.4239,
    "holding_net_change": 12.42,
    "transaction_value_usd": 1450819.31,
    "average_entry_value_usd": 116784.94,
    "transaction_value_calculated": false
  },
  {
    "date": 1754265600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/btcNLNico/status/1952311932230180989/photo/1",
    "holding_balance": 182.0,
    "holding_net_change": 57.54,
    "transaction_value_usd": 5297419.0,
    "average_entry_value_usd": 92064.98,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/coinsilium-group-ltd/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    182.0
  ],
  [
    1779062400000,
    182.0
  ],
  [
    1779148800000,
    182.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/coinsilium-group-ltd/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    14092234.52
  ],
  [
    1779062400000,
    14003857.14
  ],
  [
    1779148800000,
    13970321.82
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/coinsilium-group-ltd/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.0376,
    "date": "2026-05-15",
    "high": 0.041,
    "open": 0.0376,
    "close": 0.041,
    "volume": 11684
  },
  {
    "low": 0.0359,
    "date": "2026-05-18",
    "high": 0.04,
    "open": 0.0393,
    "close": 0.0359,
    "volume": 84450
  },
  {
    "low": 0.04,
    "date": "2026-05-19",
    "high": 0.0404,
    "open": 0.04,
    "close": 0.0404,
    "volume": 22700
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/coinsilium-group-ltd/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 9.84,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/coinsilium-group-ltd/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 9.19,
  "six_month_return": -2.65,
  "three_month_return": -5.16
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/coinsilium-group-ltd/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 159.7,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "up"
}